Search documentation of observer

# View Source observer (observer v2.16)

A GUI tool for observing an Erlang system.

Observer is a graphical tool for observing the characteristics of Erlang systems. The tool Observer displays system information, application supervisor trees, process information, ETS tables, Mnesia tables, and contains a front end for Erlang tracing with module `ttb`.

For details about how to get started, see the `User's Guide`.

# Summary

## Functions

start()

start() -> ok

start/1

start(Node) -> ok

start_and_wait()

start_and_wait() -> ok

start_and_wait/1

start_and_wait(Node) -> ok

stop()

stop() -> ok

# Functions

Link to this function

# start()

View Source (since OTP R15B)

    -spec start() -> ok | {error, term()}.

start() -> ok

Starts the Observer GUI. To stop the tool, close the window or call `stop/0`.

Link to this function

# start/1

View Source (since OTP 26.0)

    -spec start(node() | [node()]) -> ok | {error, term()}.

start(Node) -> ok

Starts the Observer GUI and tries to connect it to `Node`.

Link to this function

# start_and_wait()

View Source (since OTP 26.0)

    -spec start_and_wait() -> ok.

start_and_wait() -> ok

Starts the Observer GUI and only return when it is either stopped or the window is closed

Link to this function

# start_and_wait/1

View Source (since OTP 26.0)

    -spec start_and_wait(node() | [node()]) -> ok.

start_and_wait(Node) -> ok

Starts the Observer GUI and only return when it is either stopped or the window is closed, connects it directly to `Node` like `start/1`.

Link to this function

# stop()

View Source (since OTP 26.0)

    -spec stop() -> ok.

stop() -> ok

Stops the Observer GUI.